﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ProgDaySalut
{
    public partial class Form1 : Form
    {
        List<Salut> saluts;


        public Form1()
        {
            InitializeComponent();
            saluts = new List<Salut>();
        }

        Random r = new Random();

        private void Form1_MouseClick(object sender, MouseEventArgs e)
        {
            Color[] clrs = new Color[] { Color.Red, Color.Blue, Color.Yellow, Color.Magenta, Color.Green, Color.Orange };

            int cnum = r.Next(clrs.GetLength(0));

            ColorSalut s = new ColorSalut(clrs[cnum]);
            s.Gravity = -0.7F;
            s.Start(e.Location);
            saluts.Add(s);
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            foreach (Salut s in saluts)
            {
                s.Paint(e.Graphics);
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            foreach (Salut s in saluts)
            {
                s.Update(1.0);
            }
            this.Refresh();
        }
    }
}
